#!/bin/bash

#
#  soffice7
#

MODE=$1
PATH=$2
ROLE=$3
USER=$4

TARGET1=.sversionrc
SOURCE1=$PATH/$ROLE/$TARGET
DESTINATION1=$PATH/$USER/$TARGET

TARGET2=.staroffice7/instdb.ins
SOURCE2=$PATH/$ROLE/$TARGET
DESTINATION2=$PATH/$USER/$TARGET

TARGET3=.staroffice7/user/registry/data/org/openoffice/Setup.xcu
SOURCE3=$PATH/$ROLE/$TARGET
DESTINATION3=$PATH/$USER/$TARGET

if [ "$MODE" == "restore" ]; then
  if [ -e $DESTINATION ]; then
    sed -i -e "s/$ROLE/$USER/;"  $DESTINATION1
    sed -i -e "s/$ROLE/$USER/;"  $DESTINATION2
    sed -i -e "s/$ROLE/$USER/;"  $DESTINATION3
  fi
fi

if [ "$MODE" == "reset" ]; then
  if [ -e $DESTINATION ]; then
    sed -e "s/$ROLE/$USER/;" $SOURCE1 > $DESTINATION1
    sed -e "s/$ROLE/$USER/;" $SOURCE2 > $DESTINATION2
    sed -e "s/$ROLE/$USER/;" $SOURCE3 > $DESTINATION3
  fi
fi

